/**
 * Copyright 2013 Peergreen S.A.S.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ow2.easybeans.persistence.osgi;

import javax.transaction.TransactionManager;

import org.apache.felix.ipojo.annotations.Bind;
import org.apache.felix.ipojo.annotations.Component;
import org.apache.felix.ipojo.annotations.Instantiate;
import org.apache.felix.ipojo.annotations.Provides;
import org.ow2.easybeans.persistence.EZBPersistenceXmlAnalyzer;
import org.ow2.easybeans.persistence.basic.BasicPersistenceXmlAnalyzer;

/**
 * Defines the component used to analyze the persistence.xml file in the archives.
 * @author Florent Benoit
 */
@Component
@Provides
@Instantiate
public class OSGiPersistenceXmlAnalyzer extends BasicPersistenceXmlAnalyzer implements EZBPersistenceXmlAnalyzer {

    /**
     * Sets the transaction manager.
     * @param transactionManager the transaction manager
     */
    @Bind(optional=false)
    public void bindTransactionManager(TransactionManager transactionManager) {
        super.setTransactionManager(transactionManager);
    }
}
